<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class FormaPagamentoPixViewModel extends Entity {
	protected $chave;
	protected $valor;

	public static function builder(): FormaPagamentoPixViewModelBuilder {

		return (new FormaPagamentoPixViewModelBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getChave() {

		return $this->chave;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {
		
		return $this->valor;
		
	}
	
	/**
	 *
	 * @param mixed $chave
	 */
	public function setChave($chave) {

		$this->chave = $chave;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {
		
		$this->valor = $valor;
		
	}
	
}

